<?php  defined('C5_EXECUTE') or die("Access Denied."); 
$al = Core::make('helper/concrete/asset_library');
$formPageSelector = Core::make('helper/form/page_selector');
$pkg = Package::getByHandle('ez_paypal');
$pkgVersion = $pkg->getPackageVersion();
$addSelected = true;?>
<p>
<?php print Core::make('helper/concrete/ui')->tabs(array(
	array('form-button', t('Setup'), $addSelected), array('form-checkout', t('Checkout')), array('form-settings', t('Settings')), array('form-design', t('Design')), array('form-help', '<i class="fa fa-question-circle"></i>')
));?>
</p>
<!-- Begin Button Setup Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-button">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('productName', t('Item Name'));?>
				<?php   echo $form->text('productName', $productName);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('productPrice', t('Base Price'));?>
				<div class="input-group">        
					<div class="input-group-addon">$</div>
					<?php   echo $form->text('productPrice', $productPrice?$productPrice:"10.00");?>
				</div>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('mode', t('Payment Mode'));?>
				<?php   echo $form->select('mode', array("buynow"=>t("Buy Now"),"subscribeD"=>t("Subscription (Daily)"),"subscribeW"=>t("Subscription (Weekly)"),"subscribeM"=>t("Subscription (Monthly)"),"subscribeY"=>t("Subscription (Yearly)"),"donate"=>t("Donate")),$mode,array("onChange" => "updateType();"));?>
			</div>
		</div>
	</div>
	<!-- BuyNow Button Options -->
	<div id="form-buynow">
		<div class="row">
			<div class="col-xs-6">
				<div class="form-group">
					<div class="input-group">        
						<div class="input-group-addon"><?php   echo $form->label('itemQty', t('Quantity'));?></div>
						<?php echo $form->number('itemQty', $itemQty?$itemQty:"1", array('min'=>1));?>
					</div>
					<div class="form-group">     
						<p><input type="checkbox" name="unqty" value="1" <?php  if ($unqty == 1) { ?> checked <?php  } ?>  /> <?php  echo t('Allow buyers to specify quantity.');?></p>
					</div>
				</div>
			</div>
			<div class="col-xs-6">
				<div class="form-group">
					<?php echo $form->label('productNum', t('Product Number'));?>
					<?php echo $form->text('productNum', $productNum);?>
				</div>
			</div>
		</div>
		
		<p><?php print Core::make('helper/concrete/ui')->tabs(array(array('sub-form-discount', t('Discount'), $addSelected), array('sub-form-taxes', t('Taxes')), array('sub-form-ship', t('Shipping'))));?></p>
		<div class="ccm-tab-content" id="ccm-tab-content-sub-form-discount">
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php echo $form->label('discountType', t('Discount Type'));?>
						<?php echo $form->select('discountType', array("none"=>t("None"),"flat"=>t("Flat Amount"),"percent"=>t("Rate")),$discountType,array("onChange" => "updateDiscType();"));?>
					</div>
				</div>
				<div class="col-xs-6">
					<div class="form-group" id="form-flat">
						<?php echo $form->label('discountAmt', t('Discount Amount'));?>
						<div class="input-group">        
							<div class="input-group-addon">$</div>
							<?php   echo $form->text('discountAmt', $discountAmt?$discountAmt:"");?>
						</div>
					</div>
					<div class="form-group" id="form-rate">
						<?php   echo $form->label('discountRate', t('Discount Rate'));?>
						<div class="input-group">        
							<?php echo $form->number('discountRate', $discountRate?$discountRate:"0", array('min'=>0)); ?>
							<div class="input-group-addon">%</div>
						</div>
					</div>
					<div class="form-group" id="form-nodisc">
						<p><?php echo t('No discounts.')?></p>
					</div>
				</div>
			</div>
			<div class="row" id="form-discflatamt">
				<div class="col-xs-6">
					<div class="form-group" id="form-rate">
						<?php echo $form->label('discountAmt2', t('Discount Amount per additional item'));?>
						<div class="input-group">
							<div class="input-group-addon">$</div>
							<?php echo $form->text('discountAmt2', $discountAmt2?$discountAmt2:"");?>
						</div>
					</div><div class="col-xs-6"></div>
				</div>
			</div>
			<div class="row" id="form-discpercent">
				<div class="col-xs-6">
					<?php echo $form->label('discountRate2', t('Discount Rate per additional item'));?>
					<div class="input-group">
						<?php echo $form->number('discountRate2', $discountRate2?$discountRate2:"", array('min'=>1,'max'=>100));?>
						<div class="input-group-addon">%</div>
					</div>
				</div><div class="col-xs-6"></div>
			</div>
		</div>
		<div class="ccm-tab-content" id="ccm-tab-content-sub-form-taxes">
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php   echo $form->label('taxType', t('Tax Type'));?>
						<?php   echo $form->select('taxType', array("none"=>t("None"),"flat"=>t("Flat Amount"),"percent"=>t("Rate")),$taxType,array("onChange" => "updateTaxType();"));?>
					</div>
				</div>
				<div class="col-xs-6">
					<div class="form-group" id="form-flattax">
						<?php   echo $form->label('taxAmt', t('Tax'));?>
						<div class="input-group">        
							<div class="input-group-addon">$</div>
							<?php   echo $form->text('taxAmt', $taxAmt?$taxAmt:"");?>
						</div>
					</div>
					<div class="form-group" id="form-taxrate">
						<?php   echo $form->label('taxRate', t('Tax Rate'));?>
						<div class="input-group">
							<?php echo $form->number('taxRate', $taxRate?$taxRate:"", array('min'=>0,'max'=>100));?>
							<div class="input-group-addon">%</div>
						</div>
					</div>
					<div class="form-group" id="form-notax">
						<p><?php echo t('No taxes.')?></p>
					</div>
				</div>
			</div>
		</div>
		<div class="ccm-tab-content" id="ccm-tab-content-sub-form-ship">
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php  echo $form->label('shipCost', t('Shipping Cost'));?>
						<div class="input-group">        
							<div class="input-group-addon">$</div>
							<?php   echo $form->text('shipCost', $shipCost?$shipCost:"0");?>
						</div>
					</div>
				</div>
				<div class="col-xs-6">

				</div>
			</div>
			<div class="row">
				<div class="col-xs-6">
					<div class="form-group">
						<?php echo $form->label('addShip', t('Additional shipping cost per item'));?>
						<div class="input-group">        
							<div class="input-group-addon">$</div>
							<?php echo $form->text('addShip', $addShip?$addShip:"");?>
						</div>
					</div>
				</div>
				<div class="col-xs-6">
				
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12">
					<div class="form-group">
						<?php echo $form->label('noShipping', t('Shipping Address'));?>
						<?php echo $form->select('noShipping', array("0"=>t("Prompt for address but do not require"),"1"=>t("Do not prompt for an address"),"2"=>t("Prompt and require address")),$noShipping);?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Daily Subscription Button Options -->
	<div id="form-subscribeD">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsdurD" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurD_slider"><?php  if (isset($subsDurD)){ echo $subsDurD; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurD', $subsDurD, array('class'=>'subsdurD_slider')); ?>
					<div class="subsdurD_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	
	<!-- Weekly Subscription Button Options -->
	<div id="form-subscribeW">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsdurW" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurW_slider"><?php  if (isset($subsDurW)){ echo $subsDurW; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurW', $subsDurW, array('class'=>'subsdurW_slider')); ?>
					<div class="subsdurW_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	
	<!-- Monthly Subscription Button Options -->
	<div id="form-subscribeM">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsdurM" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurM_slider"><?php  if (isset($subsDurM)){ echo $subsDurM; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurM', $subsDurM, array('class'=>'subsdurM_slider')); ?>
					<div class="subsdurM_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	
	<!-- Yearly Subscription Button Options -->
	<div id="form-subscribeY">
		<div class="row">
			<div class="col-xs-12">
				<p id="subsdurY" style="margin: 0px 30px 0px 30px;"><span><strong><?php  echo t('Duration Period: ')?></strong></span>
					<span class="subsdurY_slider"><?php  if (isset($subsDurY)){ echo $subsDurY; } else { echo '1'; } ?></span>
					<?php  echo $form->text('subsDurY', $subsDurY, array('class'=>'subsdurY_slider')); ?>
					<div class="subsdurY_slider" style="margin: 15px 30px 0px 30px;"></div>
				</p>
			</div>
		</div>
	</div>
	<!-- Trial Period & Recursive Payment Options for all Subscription Types -->
	<div id="form-trialperiod">
		<h4><?php echo t('Trials')?></h4>
		<div class="row">
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialPeriod', t('Trial Period'));?>
					<?php echo $form->select('trialPeriod', array("0"=>t("None"),"D"=>t("Days"),"W"=>t("Weeks"),"M"=>t("Months")),$trialPeriod);?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialDur', t('Trial Duration'));?>
					<div class="input-group">
						<?php echo $form->number('trialDur', $trialDur?$trialDur:"1", array('min'=>1,'max'=>90));?>
					</div>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('trialPrice', t('Trial Price'));?>
					<div class="input-group">        
						<div class="input-group-addon">$</div>
						<?php echo $form->text('trialPrice', $trialPrice?$trialPrice:"0");?>
					</div>
				</div>
			</div>
		</div>
		<h4><?php echo t('Recursive Payments')?></h4>
		<div class="row">
			<div class="col-xs-3">
				<div class="form-group">
					<?php echo $form->label('srcpay', t('Enabled?'));?>
					<?php echo $form->select('srcpay', array("0"=>t("No"),"1"=>t("Yes")),$srcpay);?>
				</div>
			</div>
			<div class="col-xs-5">
				<div class="form-group">
					<?php echo $form->label('srtpay', t('Number of recurring times'));?>
					<?php echo $form->number('srtpay', $srtpay?$srtpay:"2", array('min'=>2,'max'=>52));?>
				</div>
			</div>
			<div class="col-xs-4">
				<div class="form-group">
					<?php echo $form->label('srapay', t('Reattempt on failure'));?>
					<?php echo $form->select('srapay', array("1"=>t("Yes"),"0"=>t("No")),$srapay);?>
				</div>
			</div>
		</div>
	</div>
	
	<!-- Donation Button Options -->
	<div id="form-donate">
		<div class="row">
			<div class="col-xs-12">
				<div class="form-group">     
					<p><input type="checkbox" name="customDamt" value="1" <?php  if ($customDamt == 1) { ?> checked <?php  } ?>  /> <?php  echo t('Allow users to enter custom amount');?></p>
				</div>
			</div>
		</div>  
	</div>
</div>

<!-- Begin Checkout Options Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-checkout">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label('linkType', t('Return URL'))?>
				<select name="linkType" data-select="feature-link-type" class="form-control">
					<option value="1" <?php echo (empty($externalLink) && !empty($internalLinkCID) ? 'selected="selected"' : '')?>><?php   echo t('Internal Page')?></option>
					<option value="2" <?php echo (!empty($externalLink) ? 'selected="selected"' : '')?>><?php   echo t('External URL')?></option>
				</select>
			</div>
			<div data-select-contents="feature-link-type-internal" style="display: none;" class="form-group">
				<?php  echo $formPageSelector->selectPage('internalLinkCID',$internalLinkCID); ?>
			</div>
			<div data-select-contents="feature-link-type-external" style="display: none;" class="form-group">
				<?php echo $form->text('externalLink', $externalLink?$externalLink:"http://"); ?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label('linkType2', t('Cancel Return URL'))?>
				<select name="linkType2" data-select="feature-link-type2" class="form-control">
					<option value="1" <?php echo (empty($externalLink2) && !empty($internalLink2CID) ? 'selected="selected"' : '')?>><?php   echo t('Internal Page')?></option>
					<option value="2" <?php echo (!empty($externalLink2) ? 'selected="selected"' : '')?>><?php   echo t('External URL')?></option>
				</select>
			</div>
			<div data-select-contents="feature-link-type-internal2" style="display: none;" class="form-group">
				<?php  echo $formPageSelector->selectPage('internalLink2CID',$internalLink2CID); ?>
			</div>
			<div data-select-contents="feature-link-type-external2" style="display: none;" class="form-group">
				<?php echo $form->text('externalLink2', $externalLink2?$externalLink2:"http://"); ?>
			</div>
		</div>
	</div>
</div>

<!-- Begin General Settings Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-settings">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('paypalEmail', t('Paypal Email'));?>
				<?php   echo $form->text('paypalEmail', $paypalEmail);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('cCode', t('Currency Code'));?>
				<?php   echo $form->select('cCode', array("USD"=>t("USD"),"AUD"=>t("AUD"),"BRL"=>("BRL"),"CAD"=>("CAD"),"CZK"=>("CZK"),"DKK"=>("DKK"),"EUR"=>("EUR"),"HKD"=>("HKD"),"HUF"=>("HUF"),"ILS"=>("ILS"),"JPY"=>("JPY"),"MYR"=>("MYR"),"MXN"=>("MXN"),"NOK"=>("NOK"),"NZD"=>("NZD"),"PHP"=>("PHP"),"PLN"=>("PLN"),"GBP"=>("GBP"),"RUB"=>("RUB"),"SGD"=>("SGD"),"SEK"=>("SEK"),"CHF"=>("CHF"),"TWD"=>("TWD"),"THB"=>("THB"),"TRY"=>("TRY")),$cCode);?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('cTarg', t('Checkout Target'));?>
				<?php   echo $form->select('cTarg', array("self"=>t("Self"),"blank"=>t("Blank")),$cTarg);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php  echo $form->label('tooltipText', t('Tooltip Text'));?>
				<?php  echo $form->text('tooltipText', $tooltipText);?>
			</div>
		</div>
	</div>
</div>

<!-- Begin Design Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">
	<div class="row">
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('buttonLabel', t('Button Label'));?>
				<?php   echo $form->text('buttonLabel', $buttonLabel?$buttonLabel:t("Purchase"));?>
			</div>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<?php   echo $form->label('btnStyle', t('Button Style'));?>
				<?php   echo $form->select('btnStyle', array("default"=>t("Default"),"round"=>t("Round"),"frame"=>t("Frame"),"square"=>t("Square")),$btnStyle);?>
			</div>
		</div>
	</div>

</div>

<!-- Begin Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
	<div class="row">
		<div class="col-xs-12">
			<p><strong><?php echo t('Version: %s', $pkgVersion);?></strong></p><hr />
			<p><?php  echo t('<em>EZ Paypal</em> allows you to add a Paypal button to your page. There are three kinds of buttons to choose from: ')?></p>
			<ul><li><?php  echo t('Buy Now')?></li><li><?php  echo t('Subscription')?></li><li><?php  echo t('Donate')?></li></ul>
			<p><strong><?php  echo t('Item Name')?></strong> - <?php  echo t('The name of the product, service, or donation.')?></p>
			<p><strong><?php  echo t('Base Price')?></strong> - <?php  echo t('The cost of product, service, or donation. Be sure to use the correct formatting, depending on the currency.')?></p>
			<p><strong><?php  echo t('Payment Mode')?></strong> - <?php  echo t('Select the type of payment. Donations and Buy Now are one-time payments. Subscriptions are recurring.')?></p>
			<hr />
			<h4><strong><?php  echo t('Settings')?></strong></h4>
			<p><strong><?php  echo t('Paypal Email')?></strong> - <?php  echo t('The email address where payment will be sent to. Must be associated with an active Paypal account.')?></p>
			<p><strong><?php  echo t('Currency Code')?></strong> - <?php  echo t('Select the currency code for your country.')?></p>
			<p><strong><?php  echo t('Checkout Target')?></strong> - <?php  echo t('To open the checkout page in a new window, select "Blank". Otherwise, "Self" will open in the same window.')?></p>
			<p><strong><?php  echo t('Tooltip Text')?></strong> - <?php  echo t('Optional. Enter text if you wish to display a tooltip note upon hovering over button.')?></p>
			<hr />
			<h4><strong><?php  echo t('Design Options')?></strong></h4>
			<p><strong><?php  echo t('Button Label')?></strong> - <?php  echo t('Text to be displayed in button.')?></p>
			<p><strong><?php  echo t('Button Style')?></strong> - <?php  echo t('Select the style of button. To customize, edit the "/css/jquery.classypaypal.css" file.')?></p>
			<hr />
			<h4><strong><?php  echo t('Checkout')?></strong></h4>
			<p><strong><?php  echo t('Return URL')?></strong> - <?php  echo t('The URL to which PayPal redirects buyers after they complete their payments.')?></p>
			<p><strong><?php  echo t('Cancel Return URL')?></strong> - <?php  echo t('A URL to which PayPal redirects buyers if they cancel checkout before completing their payments.')?></p>
			<hr />
			<h4><strong><?php  echo t('Buy Now')?></strong></h4>
			<p><?php  echo t('If you trying to collect a one-time payment for a product or service, select "Buy Now" as the payment mode.')?></p>
			<p><strong><?php  echo t('Quantity')?></strong> - <?php  echo t('Number of items. Optionally enable users to enter a custom quantity.')?></p>
			<p><strong><?php  echo t('Product Number')?></strong> - <?php  echo t('Optional. Numeric value that is used for tracking of inventory or profit and loss.')?></p>
			<p><strong><?php  echo t('Discounts')?></strong> - <?php  echo t('"Flat Amount" discounts will deduct a specific amount from the Base Price (ex. enter 1.5 to take $1.50 off). "Rate" discounts offer a percentage-based deduction from the Base Price (ex. enter 3 to take 3% off). You can also offer discounts for each additional item.')?></p>
			<p><strong><?php  echo t('Taxes')?></strong> - <?php  echo t('"Flat Amount" taxes will add a specific amount to the Base Price (ex. enter 0.99 to add $0.99 in taxes). "Rate" taxes add a percentage of the Base Price to the Base Price (ex. enter 7.5 to add 7.5% in taxes).')?></p>
			<p><strong><?php  echo t('Shipping')?></strong> - <?php  echo t('Leave blank or enter "0" if you are not charging for shipping. Otherwise, enter a shipping cost. You can also charge an additional fee per item by entering a value for "Additional Cost".')?></p>
			<hr />
			<h4><strong><?php  echo t('Subscriptions')?></strong></h4>
			<p><?php  echo t('Recurring billing based on daily, weekly, monthly, or yearly time periods.')?></p>
			<p><strong><?php  echo t('Duration Period')?></strong> - <?php  echo t('Slide to adjust the duration payment period. For a 3 month payment period, select "Monthly Subscription" as the payment mode, and set the slider to a value of 3.')?></p>
			<p><strong><?php  echo t('Trial Period')?></strong> - <?php  echo t('Optional. Set to a daily, weekly, or monthly time period.')?></p>
			<p><strong><?php  echo t('Trial Duration')?></strong> - <?php  echo t('Enter a numeric value. Restrictions are as follows:')?></p>
			<ul><li><?php  echo t('Days = maximum of 90')?></li><li><?php  echo t('Weeks = maximum of 52')?></li><li><?php  echo t('Months = maximum of 24')?></li></ul>
			<p><strong><?php  echo t('Trial Price')?></strong> - <?php  echo t('Cost of trial period. For a free trial, enter "0".')?></p>
			<p><strong><?php  echo t('Recursive Payments')?></strong> - <?php  echo t('Enable to make subscription payments automatically recur.')?></p>
			<p><strong><?php  echo t('Number of recurring times')?></strong> - <?php  echo t('Number of times that subscription payments recur.')?></p>
			<p><strong><?php  echo t('Reattempt on failure')?></strong> - <?php  echo t('Set to "Yes" to reattempt failed recurring payments before canceling.')?></p>
			<hr />
			<h4><strong><?php  echo t('Developer Resources')?></strong></h4>
			<p><a href="https://developer.paypal.com/docs/classic/paypal-payments-standard/integration-guide/Appx_websitestandard_htmlvariables/" target="_blank"><?php  echo t('HTML Variables for PayPal Payments Standard')?></a><br /></p>
		</div>
	</div>
</div>

<script type="text/javascript">
    function updateType(){
        $("#mode").each(function(){
            if ( $(this).find("option:selected").val() == "buynow" ) {
                $("#form-buynow").show();
                $("#form-donate").hide();
				$("#form-subscribeD").hide();
				$("#form-subscribeW").hide();
				$("#form-subscribeM").hide();
				$("#form-subscribeY").hide();
				$("#form-trialperiod").hide();
            }
            if ($(this).find("option:selected").val() == "donate" ) {
                $("#form-buynow").hide();
                $("#form-donate").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeW").hide();
				$("#form-subscribeM").hide();
				$("#form-subscribeY").hide();
				$("#form-trialperiod").hide();
            }
			if ($(this).find("option:selected").val() == "subscribeD" ) {
				$("#form-subscribeD").show();
				$("#form-subscribeW").hide();
				$("#form-subscribeM").hide();
				$("#form-subscribeY").hide();
				$("#form-donate").hide();
				$("#form-buynow").hide();
				$("#form-trialperiod").show();
			}
			if ($(this).find("option:selected").val() == "subscribeW" ) {
				$("#form-subscribeW").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeM").hide();
				$("#form-subscribeY").hide();
				$("#form-donate").hide();
				$("#form-buynow").hide();
				$("#form-trialperiod").show();
			}
			if ($(this).find("option:selected").val() == "subscribeM" ) {
				$("#form-subscribeM").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeW").hide();
				$("#form-subscribeY").hide();
				$("#form-donate").hide();
				$("#form-buynow").hide();
				$("#form-trialperiod").show();
			}
			if ($(this).find("option:selected").val() == "subscribeY" ) {
				$("#form-subscribeY").show();
				$("#form-subscribeD").hide();
				$("#form-subscribeW").hide();
				$("#form-subscribeM").hide();
				$("#form-donate").hide();
				$("#form-buynow").hide();
				$("#form-trialperiod").show();
			}
		});
	};
	updateType();
	function updateDiscType(){
        $("#discountType").each(function(){
            if ($(this).find("option:selected").val() == "none" ) {
                $("#form-discflatamt").hide();
                $("#form-discpercent").hide();
				$("#form-flat").hide();
				$("#form-rate").hide();
				$("#form-nodisc").show();
            }
			if ( $(this).find("option:selected").val() == "flat" ) {
                $("#form-discflatamt").show();
                $("#form-discpercent").hide();
				$("#form-flat").show();
				$("#form-rate").hide();
				$("#form-nodisc").hide();
            }
            if ($(this).find("option:selected").val() == "percent" ) {
                $("#form-discflatamt").hide();
                $("#form-discpercent").show();
				$("#form-flat").hide();
				$("#form-rate").show();
				$("#form-nodisc").hide();
            }
		});
	};
	updateDiscType();
	function updateTaxType(){
        $("#taxType").each(function(){
             if ($(this).find("option:selected").val() == "none" ) {
                $("#form-flattax").hide();
                $("#form-taxrate").hide();
				$("#form-notax").show();
            }
			if ( $(this).find("option:selected").val() == "flat" ) {
                $("#form-flattax").show();
                $("#form-taxrate").hide();
				$("#form-notax").hide();
            }
            if ($(this).find("option:selected").val() == "percent" ) {
                $("#form-flattax").hide();
                $("#form-taxrate").show();
				$("#form-notax").hide();
            }
		});
	};
	updateTaxType();
</script>
<!-- Sliders -->
<script type="text/javascript">
	$('input.subsdurD_slider').hide();
	$('div.subsdurD_slider').slider({
		min  : 1,
		step : 1,
		max  : 90,
		value: parseInt($('span.subsdurD_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurD_slider').text(uiobj.value+' days');
			$('input.subsdurD_slider').val(uiobj.value);
		}
	});
	$('input.subsdurW_slider').hide();
	$('div.subsdurW_slider').slider({
		min  : 1,
		step : 1,
		max  : 52,
		value: parseInt($('span.subsdurW_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurW_slider').text(uiobj.value+' weeks');
			$('input.subsdurW_slider').val(uiobj.value);
		}
	});
	$('input.subsdurM_slider').hide();
	$('div.subsdurM_slider').slider({
		min  : 1,
		step : 1,
		max  : 24,
		value: parseInt($('span.subsdurM_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurM_slider').text(uiobj.value+' months');
			$('input.subsdurM_slider').val(uiobj.value);
		}
	});
	$('input.subsdurY_slider').hide();
	$('div.subsdurY_slider').slider({
		min  : 1,
		step : 1,
		max  : 5,
		value: parseInt($('span.subsdurY_slider').text(),10),
		slide: function(event, uiobj) {
			$('span.subsdurY_slider').text(uiobj.value+' years');
			$('input.subsdurY_slider').val(uiobj.value);
		}
	});
$(function() {   
	$('select[data-select=feature-link-type]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal]').show();
	       $('div[data-select-contents=feature-link-type-external]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal]').hide();
	       $('div[data-select-contents=feature-link-type-external]').show();
	   }
	}).trigger('change');
});
$(function() {   
	$('select[data-select=feature-link-type2]').on('change', function() {
	   if ($(this).val() == '0') {
	       $('div[data-select-contents=feature-link-type-internal2]').hide();
	       $('div[data-select-contents=feature-link-type-external2]').hide();
	   }
	   if ($(this).val() == '1') {
	       $('div[data-select-contents=feature-link-type-internal2]').show();
	       $('div[data-select-contents=feature-link-type-external2]').hide();
	   }
	   if ($(this).val() == '2') {
	       $('div[data-select-contents=feature-link-type-internal2]').hide();
	       $('div[data-select-contents=feature-link-type-external2]').show();
	   }
	}).trigger('change');
});
</script>