<?php        
namespace Concrete\Package\EzPaypal;
use Package;
use BlockType;
use Database;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {
	protected $pkgHandle = 'ez_paypal';
	protected $appVersionRequired = '5.7.0.4';
	protected $pkgVersion = '2.0.1';
	
	public function getPackageDescription() {
		return t("Easily add a Paypal button to your page.");
	}

	public function getPackageName() {
		return t("EZ Paypal");
	}
	
	public function install() {
		$pkg = parent::install();
        BlockType::installBlockTypeFromPackage('ez_paypal', $pkg);  
	}
	
	function upgrade() {
        parent::upgrade();
   	}
	
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btEzpaypal');
	}
}
?>